<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="tfsServiceDelegate" factory-bean="tfsServiceFactory" factory-method="create" lazy-init="true">
		<constructor-arg name="tfsWebserviceTimeoutSecs" value="10000"/>
	</bean>

	<bean id="tfsServiceFactory" class="gov.va.med.tfs.client.TfsServiceFactory" lazy-init="true">
		<property name="serviceBindingId" ref="TAFS_SVC_ID"/>
		<property name="endpointResolver" ref="endpointResolver"/>
	</bean>

</beans>
	